TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.Destination Class Reference

A Destination object encapsulates a TIBCO EMS specific address. More...

Inheritance diagram for TIBCO.EMS.Destination:

## Public Member Functions
virtual Object | Clone ()
| Creates a copy of the Destination object. More...
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Detailed Description

A Destination object encapsulates a TIBCO EMS specific address.

Administrators define destinations in the server. Client programs access them using methods of LookupContext.

The Destination class defines the root behavior of all destinations. Programs do not create instances of this class; instead, they create instances of its subclasses.

## Member Function Documentation

virtual Object TIBCO.EMS.Destination.Clone | ( |  | ) |
| inline virtual

Creates a copy of the Destination object.

Reimplemented in TIBCO.EMS.Topic, TIBCO.EMS.Queue, TIBCO.EMS.TemporaryQueue, and TIBCO.EMS.TemporaryTopic.

override bool TIBCO.EMS.Destination.Equals | ( | Object | obj | ) |
| inline

Compare with another object for equality.

The current instance is said to be equals to another object when the latter is also a `Destination` instance and both have the same address.

Parameters

  obj | The object to compare with

Returns
  true if the object passed is also of type `Destination` and has the same address as the current instance, false otherwise.

override int TIBCO.EMS.Destination.GetHashCode | ( |  | ) |
| inline

Returns a hashcode representing the current object

Returns
  A hashcode based on `Destination`'s address.

override string TIBCO.EMS.Destination.ToString | ( |  | ) |
| inline

Returns a string representation of the destination.

Returns
  A string representation of the destination.